<div class="d-flex justify-content-center movie-component mb-2 flex-column align-items-center">
  <div class="img-box mb-4" *ngIf="movie.primaryImage && movie.primaryImage.url; else noImage">
    <img [src]="movie.primaryImage.url" [alt]="movie.primaryImage.caption.plainText"/>
  </div>
  <ng-template #noImage>
    <div class="img-box">
    </div>
  </ng-template>

  <h5 class="mb-2 font-bold text-center">{{movie.titleText.text}}</h5>
  <h6 class="mb-2 font-bold text-center">{{movie.releaseDate.year}}</h6>
  <button class="border py-2 px-4 rounded " (click)="openDetail(movie)">
    Detail
  </button>
</div>
